#ifndef __HANDLERS_H
#define __HANDLERS_H

#include <windows.h>
#include <am.h>
#include <cMutex.h>

#define TEST_TAG				AM_ALL
#define RETURN_TO_SENDER		0
#define	ROUND_TRIP_REQUEST		1
#define ROUND_TRIP_REPLY		2
#define ROUND_TRIP_REQUESTI		3
#define ROUND_TRIP_REPLYI		4
#define ROUND_TRIP_REQUESTXFER	5
#define ROUND_TRIP_REPLYXFER	6

void ReturnToSender(int status, op_t opcode, argblock_t argblock);

void RoundTripRequest(void *token, int arg0, int arg1, int arg2, int arg3);
void RoundTripReply(void *token, int arg0, int arg1, int arg2, int arg3);


void RoundTripRequestI(void *token, void *buffer, int nbytes, int arg0, int arg1, int arg2, int arg3);
void RoundTripReplyI(void *token, void *buffer, int nbytes, int arg0, int arg1, int arg2, int arg3);

void RoundTripRequestXfer(void *token, void *buffer, int nbytes, int arg0, int arg1, int arg2, int arg3);
void RoundTripReplyXfer(void *token, void *buffer, int nbytes, int arg0, int arg1, int arg2, int arg3);

#endif
