#ifndef __C_VIERROR_H
#define __C_VIERROR_H
/*
 * cVIError.h
 * 
 * Class def for VI error class. 
 *
 * Authors:  Vicky & Ted
 * Last Mod: 27 Feb 1999
 */
#include "stdvint.h"

#include <iostream.h>
#include <string.h>

//cVIError class
class cVIError
{
	public:
		
		//Constructor(s)
		cVIError() { }	

		//Accessor Functions
		static void cVIError::PrintError(const char *string, const int line, const char *file);
		static void PrintError(const char *string, const int line, const char *file, const VIP_ERROR_CODE err);
		static void	PrintError(const char *string, const int line, const char *file, const VIP_RETURN rc);
		static void SetErrorStream(ostream &outStream);

		//Destructor
		~cVIError() { }
};

#endif