#ifndef __AMNS_H
#define __AMNS_H
/* 
 * amns.h
 *
 * Implementation of most of the AM name service functions.
 */
#include "am.h"
#include "stdam.h"
#include "cAMLayer.h"

#define NAME_SERVER_DISC	"ns"
#define NAME_SERVER_DISCLEN 2
#define NS_MAX_NAME_SIZE	128

#define NS_LOOKUP		1
#define NS_REGISTER		2
#define NS_UNREGISTER	3
#define NS_ACK			4
#define NS_NACK			5

/* Global Externs */
extern cAMLayer	*gAMLayer;

/* Function Prototypes */
bool _AMNS_SendRecv(cDesc *outDesc, cDesc *inDesc);

#endif