/* 
 * cNS.h
 *
 * class def. for name service.
 * 
 */
#ifndef __C_NS_H
#define __C_NS_H

#include <am.h>
#include "cHashTable.h"
#include <stdio.h>

// Name Server Class
class cNS
{
	public:	
		//Constructor(s)
		cNS();

		//Accessor Functions
		bool NS_Lookup(char* description, _en_t *endptPtr); 
		bool NS_Register(char* description, en_t endptPtr);
		bool NS_Unregister(char* description);
	
		//Destructor
		~cNS();

	private:

		//Member Vars
		cHashTable* NS_Table;
		// a hashtable of what writers a reader can get updates from.
		// a node in the list contains what the writer writes and what
		// endpoint is associated with it.

	protected:

};

#endif