/* 
 * stdam.h
 *
 * Includes declaration of the am objects.
 */
#ifndef __STD_AM_H
#define __STD_AM_H

#include "vi/stdvi.h"
#include <iostream.h>

void AM_SetErrorStream(ostream &errStream);

/**--Opcodes--**/
#define _AM_ACK					0
#define _AM_RTS					1
#define _AM_REQUEST				2
#define _AM_REPLY				3
#define _AM_CONNECT				4
#define _AM_CONNECT_REPLY		5
#define _AM_XFER_INTERMEDIATE	6

/**--Internal Classes--**/
#define DEFAULT_BUNDLE_ARRAY_SIZE		16
#define DEFAULT_ENDPOINT_ARRAY_SIZE		64
#define DEFAULT_ENDPOINTNAME_ARRAY_SIZE 64
#define DEFAULT_HANDLERTABLE_ARRAY_SIZE	64

class AMException { 

 public: 
	AMException(char *buf)
	{
		strncpy(mString, buf, 127);
		mString[127] = '\0';
	}
	~AMException() { ; }

	char *ToString()
	{
		return mString;
	}
 private:
	char	mString[128];
};

#endif  __STD_AM_H